# SetMaxSpoolTransmitCount

### void SetMaxSpoolTransmitCount(uint nMaxSpoolTransmit)

스풀링된 메시지를 호스트로 재전송할 때, 한 번의 전송 요청에 대해 내보낼 메시지의 최대 수량을 설정합니다.

{% hint style="info" %}
EZGemPlus에서 Spool기능 사용시 Host의 Spool 전송 요청 시 GEM에서 전송할 메시지의 수량을 설정.

설정 값이 0이면 Spool 되어있는 모든 메시지를 한번의 요청에 다 보냅니다. 설정한 값이 0 이상이면, Host의 전송 요청 시 설정된 수량만큼의 메시지를 전송합니다.
{% endhint %}

Parameters

<table data-header-hidden><thead><tr><th width="204" valign="top"></th><th width="78" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">nMaxSpoolTransmit</td><td valign="top">uint</td><td valign="top">설정(변경)하고자 하는 값 (Default Max Spool Transmit = 0)</td></tr></tbody></table>

```csharp
// 예시 1: 네트워크 부하를 줄이기 위해 한 번에 100개씩만 끊어서 전송하도록 설정
    uint limitCount = 100;
    m_gem.SetMaxSpoolTransmitCount(limitCount);
    Console.WriteLine($"스풀 전송 수량이 {limitCount}개로 제한되었습니다.");

    // 예시 2: 데이터가 쌓여 있어도 상관없이 한꺼번에 전송하도록 설정 (기본값)
    m_gem.SetMaxSpoolTransmitCount(0);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/spool/setmaxspooltransmitcount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
